diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 7b8ea35..27324d0 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -67388,11 +67388,11 @@ Interval(R:Join(FloatingPointSystem,TranscendentalFunctionCategory)): IntervalCa
   Rep := Record(Inf:R, Sup:R)
 
   roundDown(u:R):R == 
-    if zero?(u) then float(-1,-(bits() pretend Integer))
+    if zero?(u) then float(-1,-(bits()@Integer))
                 else float(mantissa(u) - 1,exponent(u))
 
   roundUp(u:R):R   == 
-    if zero?(u) then float(1, -(bits()) pretend Integer)
+    if zero?(u) then float(1, -(bits())@Integer)
                 else float(mantissa(u) + 1,exponent(u))
 
   -- Sometimes the float representation does not use all the bits (e.g. when
@@ -67403,10 +67403,10 @@ Interval(R:Join(FloatingPointSystem,TranscendentalFunctionCategory)): IntervalCa
   normaliseFloat(u:R):R == 
     zero? u => u
     m : Integer := mantissa u
-    b : Integer := bits() pretend Integer
+    b : Integer := bits()@Integer
     l : Integer := length(m)
     if l < b then 
-      BASE : Integer := base()$R pretend Integer
+      BASE : Integer := base()$R@Integer
       float(m*BASE**((b-l) pretend PositiveInteger),exponent(u)-b+l)
     else
       u
@@ -67482,13 +67482,13 @@ Interval(R:Join(FloatingPointSystem,TranscendentalFunctionCategory)): IntervalCa
   _* (a:PositiveInteger,b:%):% == qinterval(a*inf(b),a*sup(b))
 
   _*_* (a:%,n:PositiveInteger):% == 
-    contains?(a,0) and zero?((n pretend Integer) rem 2) =>
+    contains?(a,0) and zero?((n@Integer) rem 2) =>
       interval(0,max(inf(a)**n,sup(a)**n)) 
     interval(inf(a)**n,sup(a)**n)
 
 
   _^ (a:%,n:PositiveInteger):% ==  
-    contains?(a,0) and zero?((n pretend Integer) rem 2) => 
+    contains?(a,0) and zero?((n@Integer) rem 2) => 
       interval(0,max(inf(a)**n,sup(a)**n))
     interval(inf(a)**n,sup(a)**n)
 
@@ -67537,7 +67537,7 @@ Interval(R:Join(FloatingPointSystem,TranscendentalFunctionCategory)): IntervalCa
     -- Test if the representation in R is exact
     --den := denom(u)::Float
     bin : Union(Integer,"failed") := retractIfCan(log2(denom(u)::Float))
-    bin case Integer and length(numer u)$Integer < (bits() pretend Integer) => 
+    bin case Integer and length(numer u)$Integer < (bits()@Integer) => 
       flt := normaliseFloat flt
       exactInterval(flt,flt)
 
diff --git a/buglist b/buglist
index 0d25d92..59cda3e 100644
--- a/buglist
+++ b/buglist
@@ -6393,14 +6393,6 @@ macros 30144:
       INTBIT;bitLength;2I;1 is replaced by INTEGER-LENGTH 
 
 =========================================================================
-macros 30143:
-
-      INTRVL;characteristic;Nni;38 is replaced by 0 
-      INTRVL;exactInterval is replaced by CONS 
-      INTRVL;inf;$R;10 is replaced by QCAR 
-      INTRVL;sup;$R;11 is replaced by QCDR 
-
-=========================================================================
 macros 30142:
 
       IPADIC;characteristic;Nni;1 is replaced by 0 
@@ -8485,19 +8477,6 @@ warnings 20481:
  
 
 =========================================================================
-warnings 20480:
-
->compiling INTRVL.spad to INTRVL.nrlib
- 
-   Warnings: 
-      [1] roundDown: pretend(Integer) -- should replace by @
-      [2] roundUp: pretend(Integer) -- should replace by @
-      [3] normaliseFloat: pretend(Integer) -- should replace by @
-      [4] **: pretend(Integer) -- should replace by @
-      [5] ^: pretend(Integer) -- should replace by @
-      [6] interval: pretend(Integer) -- should replace by @
-
-=========================================================================
 warnings 20479:
 
 >compiling ASSOCEQ.spad to ASSOCEQ.nrlib
@@ -30009,12 +29988,6 @@ Value = (|RepeatedDoubling|)
 
 ============================================================================
 
-   finalizing nrlib CHARPOL 
-   Warnings: 
-      [1] characteristicPolynomial: :(PositiveInteger) -- should replace by pretend
-
-============================================================================
-
    finalizing nrlib DIFEXT 
 ; (DEFUN |DifferentialExtension| ...) is being compiled.
 ;; The variable |DifferentialExtension;AL| is undefined.
@@ -40609,6 +40582,25 @@ warnings 20495:
       [3] list: pretendRep -- should replace by @
       [4] pointValue: pretendRep -- should replace by @
 
+
+fixed 20130313.04.tpd.patch
+=========================================================================
+warnings 20480:
+
+>compiling INTRVL.spad to INTRVL.nrlib
  
+macros 30143:
+
+      INTRVL;characteristic;Nni;38 is replaced by 0 
+      INTRVL;exactInterval is replaced by CONS 
+      INTRVL;inf;$R;10 is replaced by QCAR 
+      INTRVL;sup;$R;11 is replaced by QCDR 
 
+   Warnings: 
+      [1] roundDown: pretend(Integer) -- should replace by @
+      [2] roundUp: pretend(Integer) -- should replace by @
+      [3] normaliseFloat: pretend(Integer) -- should replace by @
+      [4] **: pretend(Integer) -- should replace by @
+      [5] ^: pretend(Integer) -- should replace by @
+      [6] interval: pretend(Integer) -- should replace by @
 
diff --git a/changelog b/changelog
index e065082..eb12cd8 100644
--- a/changelog
+++ b/changelog
@@ -1,5 +1,7 @@
+20130313 tpd src/axiom-website/patches.html 20130313.04.tpd.patch
+20130313 tpd books/bookvol10.3 INTRVL fix 20480, 30143
 20130313 tpd src/axiom-website/patches.html 20130313.03.tpd.patch
-20130313 tpd books/bookvol10.3 fix 30230, 20495; introduce 60076
+20130313 tpd books/bookvol10.3 AFFSP fix 30230, 20495; introduce 60076
 20130313 tpd buglist fix 30230, 20495; introduce 60076
 20130313 tpd src/axiom-website/patches.html 20130313.02.tpd.patch
 20130313 tpd books/bookvol5 fix references
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5f32560..daab5cb 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4020,6 +4020,8 @@ buglist complete console review and classify
 <a href="patches/20130313.02.tpd.patch">20130313.02.tpd.patch</a>
 books/bookvol5 fix references
 <a href="patches/20130313.03.tpd.patch">20130313.03.tpd.patch</a>
-books/bookvol10.3 fix 30230, 20495; introduce 60076
+books/bookvol10.3 AFFSP fix 30230, 20495; introduce 60076
+<a href="patches/20130313.04.tpd.patch">20130313.04.tpd.patch</a>
+books/bookvol10.3 INTRVL fix 20480, 30143
  </body>
 </html>
